# Interface Conversation

Represents a conversation

interface Conversation {
memberState: undefined | "INVITED" | "JOINED" | "LEFT" | "UNKNOWN";
state: undefined | "ACTIVE" | "INACTIVE" | "DELETED";
get displayName(): Nullable<string>;
get id(): string;
get imageUrl(): Nullable<string>;
get memberId(): Nullable<string>;
get name(): string;
get properties(): Properties;
get timestamp(): ConversationTimestampJS;
}

#####
Index

### Properties

memberState
state

### Accessors

displayName
id
imageUrl
memberId
name
properties
timestamp

## Properties

### memberState

memberState: undefined | "INVITED" | "JOINED" | "LEFT" | "UNKNOWN"

The user member state in the conversation

### state

state: undefined | "ACTIVE" | "INACTIVE" | "DELETED"

The conversation state

## Accessors

### displayName

- get displayName(): Nullable<string>

- The conversation display name

  #### Returns Nullable<string>

### id

- get id(): string

- The conversation id

  #### Returns string

### imageUrl

- get imageUrl(): Nullable<string>

- The conversation image url

  #### Returns Nullable<string>

### memberId

- get memberId(): Nullable<string>

- The user member id in the conversation

  #### Returns Nullable<string>

### name

- get name(): string

- The conversation name

  #### Returns string

### properties

- get properties(): Properties

- The conversation properties

  #### Returns Properties

### timestamp

- get timestamp(): ConversationTimestampJS

- The conversation timestamp

  #### Returns ConversationTimestampJS